1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Process this file with automake to produce Makefile.in
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \	]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92TESTS = tests/aat-morx.tests tests/aat-trak.tests \
93	tests/arabic-fallback-shaping.tests \
94	tests/arabic-feature-order.tests \
95	tests/arabic-like-joining.tests tests/arabic-mark-attach.tests \
96	tests/arabic-mark-order.tests tests/arabic-normalization.tests \
97	tests/arabic-stch.tests tests/automatic-fractions.tests \
98	tests/cluster.tests tests/collections.tests \
99	tests/color-fonts.tests tests/context-matching.tests \
100	tests/cursive-positioning.tests tests/default-ignorables.tests \
101	tests/digits.tests tests/emoji.tests \
102	tests/emoji-clusters.tests tests/fallback-positioning.tests \
103	tests/glyph-props-no-gdef.tests tests/hangul-jamo.tests \
104	tests/hyphens.tests tests/indic-consonant-with-stacker.tests \
105	tests/indic-decompose.tests tests/indic-init.tests \
106	tests/indic-joiner-candrabindu.tests tests/indic-joiners.tests \
107	tests/indic-old-spec.tests tests/indic-pref-blocking.tests \
108	tests/indic-script-extensions.tests \
109	tests/indic-special-cases.tests tests/indic-syllable.tests \
110	tests/indic-vowel-letter-spoofing.tests \
111	tests/item-context.tests tests/kern-format2.tests \
112	tests/khmer-mark-order.tests tests/khmer-misc.tests \
113	tests/language-tags.tests tests/ligature-id.tests \
114	tests/macos.tests tests/mark-attachment.tests \
115	tests/mark-filtering-sets.tests \
116	tests/mongolian-variation-selector.tests \
117	tests/myanmar-misc.tests tests/myanmar-syllable.tests \
118	tests/myanmar-zawgyi.tests \
119	tests/nested-mark-filtering-sets.tests \
120	tests/none-directional.tests tests/positioning-features.tests \
121	tests/rand.tests tests/reverse-sub.tests tests/rotation.tests \
122	tests/simple.tests tests/sinhala.tests tests/spaces.tests \
123	tests/tibetan-contractions-1.tests \
124	tests/tibetan-contractions-2.tests tests/tibetan-vowels.tests \
125	tests/tt-kern-gpos.tests tests/unsafe-to-concat.tests \
126	tests/use-indic3.tests tests/use-marchen.tests \
127	tests/use-syllable.tests tests/use-vowel-letter-spoofing.tests \
128	tests/use.tests tests/variations.tests \
129	tests/variations-rvrn.tests tests/vertical.tests \
130	tests/zero-width-marks.tests $(am__EXEEXT_1)
131subdir = test/shape/data/in-house
132ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
133am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_link_flag.m4 \
134	$(top_srcdir)/m4/ax_code_coverage.m4 \
135	$(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
136	$(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gtk-doc.m4 \
137	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
138	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
139	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
140am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
141	$(ACLOCAL_M4)
142DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
143mkinstalldirs = $(install_sh) -d
144CONFIG_HEADER = $(top_builddir)/config.h
145CONFIG_CLEAN_FILES =
146CONFIG_CLEAN_VPATH_FILES =
147AM_V_P = $(am__v_P_@AM_V@)
148am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
149am__v_P_0 = false
150am__v_P_1 = :
151AM_V_GEN = $(am__v_GEN_@AM_V@)
152am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
153am__v_GEN_0 = @echo "  GEN     " $@;
154am__v_GEN_1 =
155AM_V_at = $(am__v_at_@AM_V@)
156am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
157am__v_at_0 = @
158am__v_at_1 =
159SOURCES =
160DIST_SOURCES =
161am__can_run_installinfo = \
162  case $$AM_UPDATE_INFO_DIR in \
163    n|no|NO) false;; \
164    *) (install-info --version) >/dev/null 2>&1;; \
165  esac
166am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
167am__tty_colors_dummy = \
168  mgn= red= grn= lgn= blu= brg= std=; \
169  am__color_tests=no
170am__tty_colors = { \
171  $(am__tty_colors_dummy); \
172  if test "X$(AM_COLOR_TESTS)" = Xno; then \
173    am__color_tests=no; \
174  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
175    am__color_tests=yes; \
176  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
177    am__color_tests=yes; \
178  fi; \
179  if test $$am__color_tests = yes; then \
180    red=''; \
181    grn=''; \
182    lgn=''; \
183    blu=''; \
184    mgn=''; \
185    brg=''; \
186    std=''; \
187  fi; \
188}
189am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
190am__vpath_adj = case $$p in \
191    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
192    *) f=$$p;; \
193  esac;
194am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
195am__install_max = 40
196am__nobase_strip_setup = \
197  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
198am__nobase_strip = \
199  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
200am__nobase_list = $(am__nobase_strip_setup); \
201  for p in $$list; do echo "$$p $$p"; done | \
202  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
203  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
204    if (++n[$$2] == $(am__install_max)) \
205      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
206    END { for (dir in files) print dir, files[dir] }'
207am__base_list = \
208  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
209  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
210am__uninstall_files_from_dir = { \
211  test -z "$$files" \
212    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
213    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
214         $(am__cd) "$$dir" && rm -f $$files; }; \
215  }
216am__recheck_rx = ^[ 	]*:recheck:[ 	]*
217am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
218am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
219# A command that, given a newline-separated list of test names on the
220# standard input, print the name of the tests that are to be re-run
221# upon "make recheck".
222am__list_recheck_tests = $(AWK) '{ \
223  recheck = 1; \
224  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
225    { \
226      if (rc < 0) \
227        { \
228          if ((getline line2 < ($$0 ".log")) < 0) \
229	    recheck = 0; \
230          break; \
231        } \
232      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
233        { \
234          recheck = 0; \
235          break; \
236        } \
237      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
238        { \
239          break; \
240        } \
241    }; \
242  if (recheck) \
243    print $$0; \
244  close ($$0 ".trs"); \
245  close ($$0 ".log"); \
246}'
247# A command that, given a newline-separated list of test names on the
248# standard input, create the global log from their .trs and .log files.
249am__create_global_log = $(AWK) ' \
250function fatal(msg) \
251{ \
252  print "fatal: making $@: " msg | "cat >&2"; \
253  exit 1; \
254} \
255function rst_section(header) \
256{ \
257  print header; \
258  len = length(header); \
259  for (i = 1; i <= len; i = i + 1) \
260    printf "="; \
261  printf "\n\n"; \
262} \
263{ \
264  copy_in_global_log = 1; \
265  global_test_result = "RUN"; \
266  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
267    { \
268      if (rc < 0) \
269         fatal("failed to read from " $$0 ".trs"); \
270      if (line ~ /$(am__global_test_result_rx)/) \
271        { \
272          sub("$(am__global_test_result_rx)", "", line); \
273          sub("[ 	]*$$", "", line); \
274          global_test_result = line; \
275        } \
276      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
277        copy_in_global_log = 0; \
278    }; \
279  if (copy_in_global_log) \
280    { \
281      rst_section(global_test_result ": " $$0); \
282      while ((rc = (getline line < ($$0 ".log"))) != 0) \
283      { \
284        if (rc < 0) \
285          fatal("failed to read from " $$0 ".log"); \
286        print line; \
287      }; \
288      printf "\n"; \
289    }; \
290  close ($$0 ".trs"); \
291  close ($$0 ".log"); \
292}'
293# Restructured Text title.
294am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
295# Solaris 10 'make', and several other traditional 'make' implementations,
296# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
297# by disabling -e (using the XSI extension "set +e") if it's set.
298am__sh_e_setup = case $$- in *e*) set +e;; esac
299# Default flags passed to test drivers.
300am__common_driver_flags = \
301  --color-tests "$$am__color_tests" \
302  --enable-hard-errors "$$am__enable_hard_errors" \
303  --expect-failure "$$am__expect_failure"
304# To be inserted before the command running the test.  Creates the
305# directory for the log if needed.  Stores in $dir the directory
306# containing $f, in $tst the test, in $log the log.  Executes the
307# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
308# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
309# will run the test scripts (or their associated LOG_COMPILER, if
310# thy have one).
311am__check_pre = \
312$(am__sh_e_setup);					\
313$(am__vpath_adj_setup) $(am__vpath_adj)			\
314$(am__tty_colors);					\
315srcdir=$(srcdir); export srcdir;			\
316case "$@" in						\
317  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
318    *) am__odir=.;; 					\
319esac;							\
320test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
321  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
322if test -f "./$$f"; then dir=./;			\
323elif test -f "$$f"; then dir=;				\
324else dir="$(srcdir)/"; fi;				\
325tst=$$dir$$f; log='$@'; 				\
326if test -n '$(DISABLE_HARD_ERRORS)'; then		\
327  am__enable_hard_errors=no; 				\
328else							\
329  am__enable_hard_errors=yes; 				\
330fi; 							\
331case " $(XFAIL_TESTS) " in				\
332  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
333    am__expect_failure=yes;;				\
334  *)							\
335    am__expect_failure=no;;				\
336esac; 							\
337$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
338# A shell command to get the names of the tests scripts with any registered
339# extension removed (i.e., equivalently, the names of the test logs, with
340# the '.log' extension removed).  The result is saved in the shell variable
341# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
342# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
343# since that might cause problem with VPATH rewrites for suffix-less tests.
344# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
345am__set_TESTS_bases = \
346  bases='$(TEST_LOGS)'; \
347  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
348  bases=`echo $$bases`
349RECHECK_LOGS = $(TEST_LOGS)
350AM_RECURSIVE_TARGETS = check recheck
351am__EXEEXT_1 =
352TEST_SUITE_LOG = test-suite.log
353am__test_logs1 = $(TESTS:=.log)
354am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
355TEST_LOGS = $(am__test_logs2:.tests.log=.log)
356TESTS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
357TESTS_LOG_COMPILE = $(TESTS_LOG_COMPILER) $(AM_TESTS_LOG_FLAGS) \
358	$(TESTS_LOG_FLAGS)
359am__set_b = \
360  case '$@' in \
361    */*) \
362      case '$*' in \
363        */*) b='$*';; \
364          *) b=`echo '$@' | sed 's/\.log$$//'`; \
365       esac;; \
366    *) \
367      b='$*';; \
368  esac
369am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.sources \
370	$(top_srcdir)/test-driver COPYING
371DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
372ACLOCAL = @ACLOCAL@
373AMTAR = @AMTAR@
374AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
375AR = @AR@
376AUTOCONF = @AUTOCONF@
377AUTOHEADER = @AUTOHEADER@
378AUTOMAKE = @AUTOMAKE@
379AWK = @AWK@
380CAIRO_CFLAGS = @CAIRO_CFLAGS@
381CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
382CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
383CAIRO_LIBS = @CAIRO_LIBS@
384CC = @CC@
385CCDEPMODE = @CCDEPMODE@
386CFLAGS = @CFLAGS@
387CHAFA_CFLAGS = @CHAFA_CFLAGS@
388CHAFA_LIBS = @CHAFA_LIBS@
389CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
390CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
391CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
392CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
393CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
394CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
395CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
396CORETEXT_LIBS = @CORETEXT_LIBS@
397CPP = @CPP@
398CPPFLAGS = @CPPFLAGS@
399CXX = @CXX@
400CXXCPP = @CXXCPP@
401CXXDEPMODE = @CXXDEPMODE@
402CXXFLAGS = @CXXFLAGS@
403CYGPATH_W = @CYGPATH_W@
404DEFS = @DEFS@
405DEPDIR = @DEPDIR@
406DIRECTWRITE_CXXFLAGS = @DIRECTWRITE_CXXFLAGS@
407DIRECTWRITE_LIBS = @DIRECTWRITE_LIBS@
408DLLTOOL = @DLLTOOL@
409DSYMUTIL = @DSYMUTIL@
410DUMPBIN = @DUMPBIN@
411ECHO_C = @ECHO_C@
412ECHO_N = @ECHO_N@
413ECHO_T = @ECHO_T@
414EGREP = @EGREP@
415EXEEXT = @EXEEXT@
416FGREP = @FGREP@
417FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
418FREETYPE_DEPS = @FREETYPE_DEPS@
419FREETYPE_LIBS = @FREETYPE_LIBS@
420GCOV = @GCOV@
421GDI_CFLAGS = @GDI_CFLAGS@
422GDI_LIBS = @GDI_LIBS@
423GENHTML = @GENHTML@
424GIT = @GIT@
425GLIB_CFLAGS = @GLIB_CFLAGS@
426GLIB_DEPS = @GLIB_DEPS@
427GLIB_LIBS = @GLIB_LIBS@
428GLIB_MKENUMS = @GLIB_MKENUMS@
429GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
430GOBJECT_LIBS = @GOBJECT_LIBS@
431GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
432GRAPHITE2_DEPS = @GRAPHITE2_DEPS@
433GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
434GREP = @GREP@
435GTKDOC_CHECK = @GTKDOC_CHECK@
436GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
437GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
438GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
439GTKDOC_MKPDF = @GTKDOC_MKPDF@
440GTKDOC_REBASE = @GTKDOC_REBASE@
441HAVE_CXX11 = @HAVE_CXX11@
442HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
443HB_VERSION = @HB_VERSION@
444HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
445HB_VERSION_MICRO = @HB_VERSION_MICRO@
446HB_VERSION_MINOR = @HB_VERSION_MINOR@
447HTML_DIR = @HTML_DIR@
448ICU_CFLAGS = @ICU_CFLAGS@
449ICU_LIBS = @ICU_LIBS@
450INSTALL = @INSTALL@
451INSTALL_DATA = @INSTALL_DATA@
452INSTALL_PROGRAM = @INSTALL_PROGRAM@
453INSTALL_SCRIPT = @INSTALL_SCRIPT@
454INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
455INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
456INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
457INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
458INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
459INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
460INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
461INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
462INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
463LCOV = @LCOV@
464LD = @LD@
465LDFLAGS = @LDFLAGS@
466LIBOBJS = @LIBOBJS@
467LIBS = @LIBS@
468LIBTOOL = @LIBTOOL@
469LIPO = @LIPO@
470LN_S = @LN_S@
471LTLIBOBJS = @LTLIBOBJS@
472LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
473MAKEINFO = @MAKEINFO@
474MANIFEST_TOOL = @MANIFEST_TOOL@
475MKDIR_P = @MKDIR_P@
476NM = @NM@
477NMEDIT = @NMEDIT@
478OBJDUMP = @OBJDUMP@
479OBJEXT = @OBJEXT@
480OTOOL = @OTOOL@
481OTOOL64 = @OTOOL64@
482PACKAGE = @PACKAGE@
483PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
484PACKAGE_NAME = @PACKAGE_NAME@
485PACKAGE_STRING = @PACKAGE_STRING@
486PACKAGE_TARNAME = @PACKAGE_TARNAME@
487PACKAGE_URL = @PACKAGE_URL@
488PACKAGE_VERSION = @PACKAGE_VERSION@
489PATH_SEPARATOR = @PATH_SEPARATOR@
490PKG_CONFIG = @PKG_CONFIG@
491PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
492PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
493PTHREAD_CC = @PTHREAD_CC@
494PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
495PTHREAD_LIBS = @PTHREAD_LIBS@
496RAGEL = @RAGEL@
497RANLIB = @RANLIB@
498SED = @SED@
499SET_MAKE = @SET_MAKE@
500SHELL = @SHELL@
501STRIP = @STRIP@
502UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
503UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
504VERSION = @VERSION@
505_GI_EXP_DATADIR = @_GI_EXP_DATADIR@
506_GI_EXP_LIBDIR = @_GI_EXP_LIBDIR@
507abs_builddir = @abs_builddir@
508abs_srcdir = @abs_srcdir@
509abs_top_builddir = @abs_top_builddir@
510abs_top_srcdir = @abs_top_srcdir@
511ac_ct_AR = @ac_ct_AR@
512ac_ct_CC = @ac_ct_CC@
513ac_ct_CXX = @ac_ct_CXX@
514ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
515am__include = @am__include@
516am__leading_dot = @am__leading_dot@
517am__quote = @am__quote@
518am__tar = @am__tar@
519am__untar = @am__untar@
520ax_pthread_config = @ax_pthread_config@
521bindir = @bindir@
522build = @build@
523build_alias = @build_alias@
524build_cpu = @build_cpu@
525build_os = @build_os@
526build_vendor = @build_vendor@
527builddir = @builddir@
528datadir = @datadir@
529datarootdir = @datarootdir@
530docdir = @docdir@
531dvidir = @dvidir@
532exec_prefix = @exec_prefix@
533have_gobject = @have_gobject@
534host = @host@
535host_alias = @host_alias@
536host_cpu = @host_cpu@
537host_os = @host_os@
538host_vendor = @host_vendor@
539htmldir = @htmldir@
540includedir = @includedir@
541infodir = @infodir@
542install_sh = @install_sh@
543libdir = @libdir@
544libexecdir = @libexecdir@
545localedir = @localedir@
546localstatedir = @localstatedir@
547mandir = @mandir@
548mkdir_p = @mkdir_p@
549oldincludedir = @oldincludedir@
550pdfdir = @pdfdir@
551prefix = @prefix@
552program_transform_name = @program_transform_name@
553psdir = @psdir@
554runstatedir = @runstatedir@
555sbindir = @sbindir@
556sharedstatedir = @sharedstatedir@
557srcdir = @srcdir@
558sysconfdir = @sysconfdir@
559target_alias = @target_alias@
560top_build_prefix = @top_build_prefix@
561top_builddir = @top_builddir@
562top_srcdir = @top_srcdir@
563NULL =
564EXTRA_DIST = \
565	COPYING \
566	fonts \
567	meson.build \
568	$(TESTS) \
569	$(NULL)
570
571TEST_EXTENSIONS = .tests
572@HAVE_FREETYPE_FALSE@TESTS_ENVIRONMENT = HAVE_FREETYPE=0
573@HAVE_FREETYPE_TRUE@TESTS_ENVIRONMENT = HAVE_FREETYPE=1
574TESTS_LOG_COMPILER = $(srcdir)/../../run-tests.py $(top_builddir)/util/hb-shape$(EXEEXT)
575DISABLED_TESTS = \
576	$(NULL)
577
578all: all-am
579
580.SUFFIXES:
581.SUFFIXES: .log .tests .tests$(EXEEXT) .trs
582$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.sources $(am__configure_deps)
583	@for dep in $?; do \
584	  case '$(am__configure_deps)' in \
585	    *$$dep*) \
586	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
587	        && { if test -f $@; then exit 0; else break; fi; }; \
588	      exit 1;; \
589	  esac; \
590	done; \
591	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/shape/data/in-house/Makefile'; \
592	$(am__cd) $(top_srcdir) && \
593	  $(AUTOMAKE) --gnits test/shape/data/in-house/Makefile
594Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
595	@case '$?' in \
596	  *config.status*) \
597	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
598	  *) \
599	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
600	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
601	esac;
602$(srcdir)/Makefile.sources $(am__empty):
603
604$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
605	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
606
607$(top_srcdir)/configure:  $(am__configure_deps)
608	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
609$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
610	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
611$(am__aclocal_m4_deps):
612
613mostlyclean-libtool:
614	-rm -f *.lo
615
616clean-libtool:
617	-rm -rf .libs _libs
618tags TAGS:
619
620ctags CTAGS:
621
622cscope cscopelist:
623
624
625# Recover from deleted '.trs' file; this should ensure that
626# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
627# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
628# to avoid problems with "make -n".
629.log.trs:
630	rm -f $< $@
631	$(MAKE) $(AM_MAKEFLAGS) $<
632
633# Leading 'am--fnord' is there to ensure the list of targets does not
634# expand to empty, as could happen e.g. with make check TESTS=''.
635am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
636am--force-recheck:
637	@:
638
639$(TEST_SUITE_LOG): $(TEST_LOGS)
640	@$(am__set_TESTS_bases); \
641	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
642	redo_bases=`for i in $$bases; do \
643	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
644	            done`; \
645	if test -n "$$redo_bases"; then \
646	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
647	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
648	  if $(am__make_dryrun); then :; else \
649	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
650	  fi; \
651	fi; \
652	if test -n "$$am__remaking_logs"; then \
653	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
654	       "recursion detected" >&2; \
655	elif test -n "$$redo_logs"; then \
656	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
657	fi; \
658	if $(am__make_dryrun); then :; else \
659	  st=0;  \
660	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
661	  for i in $$redo_bases; do \
662	    test -f $$i.trs && test -r $$i.trs \
663	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
664	    test -f $$i.log && test -r $$i.log \
665	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
666	  done; \
667	  test $$st -eq 0 || exit 1; \
668	fi
669	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
670	ws='[ 	]'; \
671	results=`for b in $$bases; do echo $$b.trs; done`; \
672	test -n "$$results" || results=/dev/null; \
673	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
674	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
675	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
676	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
677	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
678	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
679	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
680	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
681	  success=true; \
682	else \
683	  success=false; \
684	fi; \
685	br='==================='; br=$$br$$br$$br$$br; \
686	result_count () \
687	{ \
688	    if test x"$$1" = x"--maybe-color"; then \
689	      maybe_colorize=yes; \
690	    elif test x"$$1" = x"--no-color"; then \
691	      maybe_colorize=no; \
692	    else \
693	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
694	    fi; \
695	    shift; \
696	    desc=$$1 count=$$2; \
697	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
698	      color_start=$$3 color_end=$$std; \
699	    else \
700	      color_start= color_end=; \
701	    fi; \
702	    echo "$${color_start}# $$desc $$count$${color_end}"; \
703	}; \
704	create_testsuite_report () \
705	{ \
706	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
707	  result_count $$1 "PASS: " $$pass  "$$grn"; \
708	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
709	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
710	  result_count $$1 "FAIL: " $$fail  "$$red"; \
711	  result_count $$1 "XPASS:" $$xpass "$$red"; \
712	  result_count $$1 "ERROR:" $$error "$$mgn"; \
713	}; \
714	{								\
715	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
716	    $(am__rst_title);						\
717	  create_testsuite_report --no-color;				\
718	  echo;								\
719	  echo ".. contents:: :depth: 2";				\
720	  echo;								\
721	  for b in $$bases; do echo $$b; done				\
722	    | $(am__create_global_log);					\
723	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
724	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
725	if $$success; then						\
726	  col="$$grn";							\
727	 else								\
728	  col="$$red";							\
729	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
730	fi;								\
731	echo "$${col}$$br$${std}"; 					\
732	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
733	echo "$${col}$$br$${std}"; 					\
734	create_testsuite_report --maybe-color;				\
735	echo "$$col$$br$$std";						\
736	if $$success; then :; else					\
737	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
738	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
739	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
740	  fi;								\
741	  echo "$$col$$br$$std";					\
742	fi;								\
743	$$success || exit 1
744
745check-TESTS:
746	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
747	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
748	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
749	@set +e; $(am__set_TESTS_bases); \
750	log_list=`for i in $$bases; do echo $$i.log; done`; \
751	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
752	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
753	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
754	exit $$?;
755recheck: all
756	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
757	@set +e; $(am__set_TESTS_bases); \
758	bases=`for i in $$bases; do echo $$i; done \
759	         | $(am__list_recheck_tests)` || exit 1; \
760	log_list=`for i in $$bases; do echo $$i.log; done`; \
761	log_list=`echo $$log_list`; \
762	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
763	        am__force_recheck=am--force-recheck \
764	        TEST_LOGS="$$log_list"; \
765	exit $$?
766.tests.log:
767	@p='$<'; \
768	$(am__set_b); \
769	$(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
770	--log-file $$b.log --trs-file $$b.trs \
771	$(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
772	"$$tst" $(AM_TESTS_FD_REDIRECT)
773@am__EXEEXT_TRUE@.tests$(EXEEXT).log:
774@am__EXEEXT_TRUE@	@p='$<'; \
775@am__EXEEXT_TRUE@	$(am__set_b); \
776@am__EXEEXT_TRUE@	$(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
777@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
778@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
779@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
780
781distdir: $(BUILT_SOURCES)
782	$(MAKE) $(AM_MAKEFLAGS) distdir-am
783
784distdir-am: $(DISTFILES)
785	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
786	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
787	list='$(DISTFILES)'; \
788	  dist_files=`for file in $$list; do echo $$file; done | \
789	  sed -e "s|^$$srcdirstrip/||;t" \
790	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
791	case $$dist_files in \
792	  */*) $(MKDIR_P) `echo "$$dist_files" | \
793			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
794			   sort -u` ;; \
795	esac; \
796	for file in $$dist_files; do \
797	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
798	  if test -d $$d/$$file; then \
799	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
800	    if test -d "$(distdir)/$$file"; then \
801	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
802	    fi; \
803	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
804	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
805	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
806	    fi; \
807	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
808	  else \
809	    test -f "$(distdir)/$$file" \
810	    || cp -p $$d/$$file "$(distdir)/$$file" \
811	    || exit 1; \
812	  fi; \
813	done
814check-am: all-am
815	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
816check: check-am
817all-am: Makefile
818installdirs:
819install: install-am
820install-exec: install-exec-am
821install-data: install-data-am
822uninstall: uninstall-am
823
824install-am: all-am
825	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
826
827installcheck: installcheck-am
828install-strip:
829	if test -z '$(STRIP)'; then \
830	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
831	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
832	      install; \
833	else \
834	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
835	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
836	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
837	fi
838mostlyclean-generic:
839	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
840	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
841	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
842
843clean-generic:
844
845distclean-generic:
846	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
847	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
848
849maintainer-clean-generic:
850	@echo "This command is intended for maintainers to use"
851	@echo "it deletes files that may require special tools to rebuild."
852clean: clean-am
853
854clean-am: clean-generic clean-libtool mostlyclean-am
855
856distclean: distclean-am
857	-rm -f Makefile
858distclean-am: clean-am distclean-generic
859
860dvi: dvi-am
861
862dvi-am:
863
864html: html-am
865
866html-am:
867
868info: info-am
869
870info-am:
871
872install-data-am:
873
874install-dvi: install-dvi-am
875
876install-dvi-am:
877
878install-exec-am:
879
880install-html: install-html-am
881
882install-html-am:
883
884install-info: install-info-am
885
886install-info-am:
887
888install-man:
889
890install-pdf: install-pdf-am
891
892install-pdf-am:
893
894install-ps: install-ps-am
895
896install-ps-am:
897
898installcheck-am:
899
900maintainer-clean: maintainer-clean-am
901	-rm -f Makefile
902maintainer-clean-am: distclean-am maintainer-clean-generic
903
904mostlyclean: mostlyclean-am
905
906mostlyclean-am: mostlyclean-generic mostlyclean-libtool
907
908pdf: pdf-am
909
910pdf-am:
911
912ps: ps-am
913
914ps-am:
915
916uninstall-am:
917
918.MAKE: check-am install-am install-strip
919
920.PHONY: all all-am check check-TESTS check-am clean clean-generic \
921	clean-libtool cscopelist-am ctags-am distclean \
922	distclean-generic distclean-libtool distdir dvi dvi-am html \
923	html-am info info-am install install-am install-data \
924	install-data-am install-dvi install-dvi-am install-exec \
925	install-exec-am install-html install-html-am install-info \
926	install-info-am install-man install-pdf install-pdf-am \
927	install-ps install-ps-am install-strip installcheck \
928	installcheck-am installdirs maintainer-clean \
929	maintainer-clean-generic mostlyclean mostlyclean-generic \
930	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
931	uninstall uninstall-am
932
933.PRECIOUS: Makefile
934
935
936# Convenience targets:
937lib:
938	@$(MAKE) $(AM_MAKEFLAGS) -C $(top_builddir)/src lib
939
940-include $(top_srcdir)/git.mk
941
942# Tell versions [3.59,3.63) of GNU make to not export all variables.
943# Otherwise a system limit (for SysV at least) may be exceeded.
944.NOEXPORT:
945